| Home | Libraries | People | FAQ | More

## Struct template rebind

boost::interprocess::node_allocator<2, T, SegmentManager, NodesPerBlock>::rebind

## Synopsis

    // In header: <boost/interprocess/allocators/node_allocator.hpp>

    template<typename T2>
    struct rebind {
      // types
      typedef node_allocator< T2, SegmentManager, NodesPerBlock > other;
    };

## Description

Obtains node_allocator from node_allocator